
/*
 *	Simple demo of system service vectoring.  This is compiled on
 *	a VAX and generates P1 vector calls.  The eVAX emulator can
 *	field these and route them to host services as needed.
 */

#include <starlet>
#include <ssdef>

void printef( int n );

main()
{
	unsigned int state, mask;

	sys$setef( 8 );
	sys$setef( 11 );

	printef( 11 );

	sys$clref( 11 );
	printef( 11 );

	return 1;        
}

void printef( int n )
{
	int mask, state;

	state= sys$readef( n, &mask );
	printf( "The mask is %08lX, bit %ld is %s\n", 
            mask, n, state == SS$_WASCLR ? "clear" : "set" );
}

